server:
  port: 8080

custom:
  i18n:
    # 配置外部config目录的全路径 或 运行jar的相对路径(./mtp2_newmanage_service/config)
    baseDir: ./mtp2_newmanage_service/config

spring:
  redis:
    host: 192.168.31.166
    port: 6379
    #Redis使用的数据库
    database: 0
    #连接超时事件毫秒
    timeout: 18000
    password:
    lettuce:
      pool:
        #连接池最大连接数
        max-active: 600
        #最大阻塞等待时间
        max-idle: 300
        #连接池最小空闲连接
        min-idle: 0
        #最大等待时间毫秒
        max-wait: 1000000

  rabbitmq:
    host: 192.168.31.158
    port: 14137
    username: guest
    password: guest
    virtual-host: test
    template:
      exchange: entry

  datasource:
    driver-class-name: oracle.jdbc.driver.OracleDriver
    url: jdbc:oracle:thin:@192.168.31.88:1521/orcl
    username: mtp2_xkf
    password: muchinfo
      #hikari:
    #schema: mtp2_xkf
  servlet:
    multipart:
      max-file-size: 10MB
      max-request-size: 15MB

  profiles:
    #测试环境默认开启，生产环境设置成prod
    default: dev
    #default: prod

logging:
  level:
    org.mybatis: DEBUG
  config: classpath:logback-spring.xml

mybatis-plus:
  mapper-locations: classpath:mapper/*.xml
  global-config:
    #主键类型  0:"数据库ID自增", 1:"用户输入ID",2:"全局唯一ID (数字类型唯一ID)", 3:"全局唯一ID UUID";
    id-type: 1
    # Sequence序列接口实现类配置
    key-generator: com.baomidou.mybatisplus.extension.incrementer.OracleKeyGenerator

new_web_configuration:
  app:
    durable: false
    autoDelete: false
    exchange: entry
